## org.gnu.gtk.event
Class TextBufferEvent.Type

    java.lang.Object
      org.gnu.glib.EventType
          org.gnu.gtk.event.TextBufferEvent.Type

Enclosing class:
  TextBufferEvent

public static class TextBufferEvent.Type
extends EventType

Field Summary
`static TextBufferEvent.Type` `APPLY_TAG`
`static TextBufferEvent.Type` `CHANGED`
`static TextBufferEvent.Type` `DELETE_RANGE`
`static TextBufferEvent.Type` `INSERT_CHILD_ANCHOR`
`static TextBufferEvent.Type` `INSERT_PIXBUF`
`static TextBufferEvent.Type` `INSERT_TEXT`
`static TextBufferEvent.Type` `MARK_DELETED`
`static TextBufferEvent.Type` `MARK_SET`
`static TextBufferEvent.Type` `MODIFIED_CHANGED`
`static TextBufferEvent.Type` `REMOVE_TAG`

Methods inherited from class org.gnu.glib.EventType
`getID, getName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### APPLY_TAG

    public static final TextBufferEvent.Type APPLY_TAG

### CHANGED

    public static final TextBufferEvent.Type CHANGED

### DELETE_RANGE

    public static final TextBufferEvent.Type DELETE_RANGE

### INSERT_CHILD_ANCHOR

    public static final TextBufferEvent.Type INSERT_CHILD_ANCHOR

### INSERT_PIXBUF

    public static final TextBufferEvent.Type INSERT_PIXBUF

### INSERT_TEXT

    public static final TextBufferEvent.Type INSERT_TEXT

### MARK_DELETED

    public static final TextBufferEvent.Type MARK_DELETED

### MARK_SET

    public static final TextBufferEvent.Type MARK_SET

### MODIFIED_CHANGED

    public static final TextBufferEvent.Type MODIFIED_CHANGED

### REMOVE_TAG

    public static final TextBufferEvent.Type REMOVE_TAG